package com.zsc.edu.dify.modules.system.repo.flux;

import com.zsc.edu.dify.modules.system.entity.UserRole;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.data.repository.reactive.ReactiveCrudRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.util.List;
@Repository
public interface UserRoleFluxRepository extends ReactiveCrudRepository<UserRole,Long> {

    Flux<List<Long>> findByUserId(Long userId);
}
