package com.zsc.edu.dify.modules.system.repo.flux;

import com.zsc.edu.dify.modules.system.entity.Menu;
import org.springframework.data.r2dbc.repository.Query;
import org.springframework.data.repository.reactive.ReactiveCrudRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.util.List;
@Repository
public interface MenuFluxRepository extends ReactiveCrudRepository<Menu,Long> {

    @Query("select * from sys_menu where id in (select menu_id from sys_roles_menus where role_id = :roleId)")
    Mono<List<Menu>> findByRoleId(Long roleId);
}
