package com.zsc.edu.dify.modules.system.repo.flux;

import com.zsc.edu.dify.modules.system.entity.Role;
import org.mapstruct.Mapper;
import org.springframework.data.repository.reactive.ReactiveCrudRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Mono;

import java.util.List;

@Repository
public interface RoleFluxRepository extends ReactiveCrudRepository<Role,Long> {

    Mono<?> findByDeptId(Long id);
}
