package com.zsc.edu.dify.modules.system.repo.flux;

import com.zsc.edu.dify.modules.system.entity.User;
import org.springframework.data.repository.reactive.ReactiveCrudRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Mono;

@Repository
public interface UserFluxRepository extends ReactiveCrudRepository<User,Long> {

    Mono<User> findByUsername(String username);
}
